@import '../../../../public/assets/styles/variables';
@import '../../../../public/assets/styles/functions';

.cart-link {
    display: flex;
    align-items: center;
    &__icon {
        margin-right: get-vw(11px);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: 50%;
    }
    &_empty {
        width: get-vw(25px);
        height: get-vw(25px);
        background-image: url('/assets/images/icons/cart-icon-green.svg');
        @media (max-width: 799px) {
            width: 25px;
            height: 25px;
        }
    }
    &_full {
        width: get-vw(25px);
        height: get-vw(30px);
        background-image: url('/assets/images/icons/cart-icon-green-full.svg');
        @media (max-width: 799px) {
            width: 25px;
            height: 30px;
        }
    }
    &__text {
        font-size: get-rem(16px);
        line-height: 1.3;
        font-weight: 600;
        color: $accent-color;
        @media (max-width: 799px) {
            display: none;
        }
    }
}